git-branchless-smartlog(1)

NAME
smartlog - `smartlog` command

SYNOPSIS
smartlog [--event-id] [--reverse] [--exact] [--hidden] [-h|--help] [REVSET]

DESCRIPTION
`smartlog` command

OPTIONS

--event-id=EVENT_ID
    The point in time at which to show the smartlog. If not provided, renders the smartlog as of the current time. If negative, is treated as an offset from the current event

--reverse
    Print the smartlog in the opposite of the usual order, with the latest commits first

--exact
    Don't automatically add HEAD and the main branch to the list of commits to present. They will still be added if included in the revset

--hidden
    Include hidden commits in the results of evaluating revset expressions

-h, --help
    Print help

[REVSET]
    The commits to render. These commits, plus any related commits, will be rendered